# class XMLHttpRequestEventTarget

#### package js.html

#### extends EventTarget

#### extended by XMLHttpRequest, XMLHttpRequestUpload

Available on HTML5

`XMLHttpRequestEventTarget` is the interface that describes the event handlers you can implement in an object that will handle events for an `XMLHttpRequest`.

Documentation XMLHttpRequestEventTarget by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/XMLHttpRequestEventTarget

### Variables

###

`onabort:Function`

###

`onerror:Function`

###

`onload:Function`

###

`onloadend:Function`

###

`onloadstart:Function`

###

`onprogress:Function`

###

`ontimeout:Function`

### Inherited Variables

### Inherited Methods

#### Defined by EventTarget

###

`addEventListener (type:String, listener:Function, capture:Bool = false):Void`

`addEventListener (type:String, listener:EventListener, capture:Bool = false, ?wantsUntrusted:Bool):Void`

Throws:

`null` | DOMError

###

`dispatchEvent (event:Event):Bool`

Throws:

`null` | DOMError

###

`removeEventListener (type:String, listener:Function, capture:Bool = false):Void`

`removeEventListener (type:String, listener:EventListener, capture:Bool = false):Void`

Throws:

`null` | DOMError